unit MainF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, Spin, JMDisplay;

type
  TForm1 = class(TForm)
    JMDisplay1: TJMDisplay;
    GroupBox1: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    Button1: TButton;
    Label1: TLabel;
    SpinEdit2: TSpinEdit;
    SpinEdit3: TSpinEdit;
    Label2: TLabel;
    Label3: TLabel;
    CheckBox5: TCheckBox;
    Edit1: TEdit;
    Button2: TButton;
    Button3: TButton;
    procedure DisplayColorClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure JMDisplay1Overflow(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Math;

{$R *.dfm}

procedure TForm1.DisplayColorClick(Sender: TObject);
begin
  JMDisplay1.DisplayColor := TJMDisplayColor(TControl(Sender).Tag);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  JMDisplay1.Off := checkBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  JMDisplay1.LeadingZeros := CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  JMDisplay1.LeftSignal := CheckBox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  JMDisplay1.Flashing := CheckBox4.Checked;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
  JMDisplay1.Digits := SpinEdit3.Value;
  Width := Max(258,JMDisplay1.Width+38);
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  JMDisplay1.FlashInterval := SpinEdit2.Value;
end;

procedure TForm1.JMDisplay1Overflow(Sender: TObject);
begin
  if CheckBox5.Checked then
    begin
    JMDisplay1.Flashing := True;
    CheckBox4.Checked := True;
    MessageDlg('OnOverflow event triggered!'+#13+''+#13+
               'Now flashing will be turned On.',mtInformation,[mbOK],0);
    end;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  JMDisplay1.Value := StrToInt64Def(Edit1.Text,0);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  MessageDlg('TJMDisplay Component - version 1.00'+#13+''+#13+
             'FREEWARE for non-commercial applications'+#13+''+#13+
             'Source code USD10,00 or EUR10,00'+#13+''+#13+
             'e-mail: jmtmarinho@ig.com.br',
             mtInformation,[mbOK],0);
end;

procedure TForm1.Button2Click(Sender: TObject);
var I: Integer;
begin
  for I := 0 to 10000 do
    JMDisplay1.Value := I;
  Edit1.Text := IntToStr(10000);
  MessageDlg('Fast and flicker free!',mtInformation,[mbOK],0);
end;

end.
